aboutsummaryrefslogtreecommitdiffstats
path: root/hostapd/defconfig
diff options
context:
space:
mode:
authorJouni Malinen <j@w1.fi>2009-12-12 18:52:12 (GMT)
committerJouni Malinen <j@w1.fi>2009-12-12 18:52:12 (GMT)
commit50b5bf4eda928ab9408eecb4bf7cf2cdec2c8a44 (patch)
treee59511c2b15fc40d0b59ea728481de8f9c392c74 /hostapd/defconfig
parent0531006644d7854ad6492597d65296aadfe192b6 (diff)
downloadhostap-50b5bf4eda928ab9408eecb4bf7cf2cdec2c8a44.zip
hostap-50b5bf4eda928ab9408eecb4bf7cf2cdec2c8a44.tar.gz
hostap-50b5bf4eda928ab9408eecb4bf7cf2cdec2c8a44.tar.bz2
Remove obsolete Prism54.org driver support (driver_prism54.c)
The Prism54.org project seems have been dead for a while and it does not look like this driver would ever be maintained again. Furthermore, it is difficult to find a version that would work with the driver_prism54.c wrapper and there is another driver for these card in the Linux kernel tree. The hostapd integration in driver_prism54.c is quite different from the other driver wrappers and would require major effort to get it cleaned up. Since there does not seem to be any real users for the cleaned up version, there does not seem to be justification to spend this effort on the wrapper. This old code is making it much more difficult to clean up the driver interface and at this point, the best option seems to be to remove the driver wrappers. Should someone really still need this, the old code will continue to be available in hostapd 0.6.x.
Diffstat (limited to 'hostapd/defconfig')
-rw-r--r--hostapd/defconfig3
1 files changed, 0 insertions, 3 deletions
diff --git a/hostapd/defconfig b/hostapd/defconfig
index 310b45c..4ba6dc2 100644
--- a/hostapd/defconfig
+++ b/hostapd/defconfig
@@ -19,9 +19,6 @@ CONFIG_DRIVER_HOSTAP=y
#CONFIG_DRIVER_MADWIFI=y
#CFLAGS += -I../../madwifi # change to the madwifi source directory
-# Driver interface for Prism54 driver
-#CONFIG_DRIVER_PRISM54=y
-
# Driver interface for drivers using the nl80211 kernel interface
#CONFIG_DRIVER_NL80211=y
# driver_nl80211.c requires a rather new libnl (version 1.1) which may not be